package com.jasamedika.medifirst2000.vo;

import java.util.HashSet;
import java.util.Set;

import javax.persistence.CascadeType;
import javax.persistence.FetchType;
import javax.persistence.ManyToOne;
import javax.persistence.OneToMany;
import javax.validation.constraints.NotNull;

import com.jasamedika.medifirst2000.base.vo.BaseTransactionVO;
import com.jasamedika.medifirst2000.helper.Caption;

public class PeralatanDetailCustomVO extends BaseTransactionVO {
	
	@ManyToOne
	@Caption(value="Transfer Pasien Internal")
	private TransferPasienInternalVO transferPasienInternal;
	
	@ManyToOne
	@Caption(value="Transfer Pasien Exsternal")
	private TransferPasienExsternalVO transferPasienExsternal;
	
	@OneToMany(cascade=CascadeType.ALL,fetch = FetchType.LAZY)
	@Caption(value="Object Peralatan Detail")
	private Set<PeralatanDetailVO> peralatanDetail=new HashSet<PeralatanDetailVO>();

	public Set<PeralatanDetailVO> getPeralatanDetail() {
		return peralatanDetail;
	}

	public void setPeralatanDetail(Set<PeralatanDetailVO> peralatanDetail) {
		this.peralatanDetail = peralatanDetail;
	}

	public TransferPasienInternalVO getTransferPasienInternal() {
		return transferPasienInternal;
	}

	public void setTransferPasienInternal(TransferPasienInternalVO transferPasienInternal) {
		this.transferPasienInternal = transferPasienInternal;
	}

	public TransferPasienExsternalVO getTransferPasienExsternal() {
		return transferPasienExsternal;
	}

	public void setTransferPasienExsternal(TransferPasienExsternalVO transferPasienExsternal) {
		this.transferPasienExsternal = transferPasienExsternal;
	}
	
	

}
